org.apache.cassandra.cql.hooks

## Class PreparationContext

- java.lang.Object
- - org.apache.cassandra.cql.hooks.PreparationContext

-     public class PreparationContext
      extends java.lang.Object

  Contextual information about the preparation of a CQLStatement. Used by `PostPreparationHook`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ThriftClientState` | `clientState`
    `java.lang.String` | `queryString`
    `CQLStatement` | `statement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparationContext(ThriftClientState clientState, java.lang.String queryString, CQLStatement statement)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientState

          public final ThriftClientState clientState

    - #### queryString

          public final java.lang.String queryString

    - #### statement

          public final CQLStatement statement

  - ### Constructor Detail

    - #### PreparationContext

          public PreparationContext(ThriftClientState clientState,
                            java.lang.String queryString,
                            CQLStatement statement)

Copyright © 2014 The Apache Software Foundation